%define upstream_name    Dist-Zilla-Plugin-Test-Compile
%define upstream_version 1.112820

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Common tests to check syntax of your modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-CompileTests
Provides:   perl-Dist-Zilla-Plugin-CompileTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* t/00-compile.t - a standard test to check syntax of bundled modules

This test will find all modules and scripts in your dist, and try to
compile them one by one. This means it's a bit slower than loading them all
at once, but it will catch more errors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.112.820-2.mga3
+ Revision: 366458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 1.112.820-1.mga2
+ Revision: 154281
- update to 1.112820

* Mon Aug 29 2011 jquelin <jquelin> 1.112.400-2.mga2
+ Revision: 136015
- adding provides: of obsoleted package
- update to 1.112400
- obsoleting previous dist name
- update to 1.112392
- dist renamed upstream
- oops, wrong move
- dist renamed upstream

* Sun Apr 03 2011 jquelin <jquelin> 1.110.930-1.mga1
+ Revision: 80062
- update to 1.110930

* Wed Jan 26 2011 jquelin <jquelin> 1.103.30-1.mga1
+ Revision: 40388
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CompileTests

